curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lu702nij2f790tmv9h&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.tiktok.com/@mrbeast/video/7553300000000000000"}, {"url": "https://www.tiktok.com/@bellapoarch/video/7400000000000000000"}]}'[
{
"post_id": "7553300000000000000",
"description": "This is an example post description #fyp #viral",
"create_time": "2025-01-15T14:30:00.000Z",
"share_count": 45000,
"collect_count": 12000,
"comment_count": 8500,
"play_count": 15000000,
"video_duration": 45,
"hashtags": [
"#fyp",
"#viral"
],
"video_url": "https://v16-webapp-prime.tiktok.com/video/example.mp4",
"profile_username": "examplecreator",
"profile_url": "https://www.tiktok.com/@examplecreator",
"is_verified": true
}
]
TikTok
按URL收集帖子
POST
/
datasets
/
v3
/
scrape
curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lu702nij2f790tmv9h&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.tiktok.com/@mrbeast/video/7553300000000000000"}, {"url": "https://www.tiktok.com/@bellapoarch/video/7400000000000000000"}]}'[
{
"post_id": "7553300000000000000",
"description": "This is an example post description #fyp #viral",
"create_time": "2025-01-15T14:30:00.000Z",
"share_count": 45000,
"collect_count": 12000,
"comment_count": 8500,
"play_count": 15000000,
"video_duration": 45,
"hashtags": [
"#fyp",
"#viral"
],
"video_url": "https://v16-webapp-prime.tiktok.com/video/example.mp4",
"profile_username": "examplecreator",
"profile_url": "https://www.tiktok.com/@examplecreator",
"is_verified": true
}
]
查询参数
string
默认值:"gd_lu702nij2f790tmv9h"
必填
用于此请求的数据集 ID。
必须设置为
gd_lu702nij2f790tmv9h 以收集按 URL 的帖子数据。boolean
默认值:false
请求完成时是否发送通知。
boolean
默认值:true
是否在响应中包含错误。
请求正文
object[]
必填
[
{
"post_id": "7553300000000000000",
"description": "This is an example post description #fyp #viral",
"create_time": "2025-01-15T14:30:00.000Z",
"share_count": 45000,
"collect_count": 12000,
"comment_count": 8500,
"play_count": 15000000,
"video_duration": 45,
"hashtags": [
"#fyp",
"#viral"
],
"video_url": "https://v16-webapp-prime.tiktok.com/video/example.mp4",
"profile_username": "examplecreator",
"profile_url": "https://www.tiktok.com/@examplecreator",
"is_verified": true
}
]
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
查询参数
Must be gd_lu702nij2f790tmv9h for this dataset.
Send notifications when the request is completed.
Include errors in the response.
请求体
application/json
Array of input objects. See Request Body below for the supported fields.
Show child attributes
Show child attributes
响应
200 - application/json
OK. See response example below the parameters.
此页面对您有帮助吗?